import { View, Text} from 'react-native';
import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import SearchPage from '../screens/Search/SearchPage';
import HomePage from '../screens/HomePage/HomePage';
import NotificationPage from '../screens/Notifications/NotificationPage';


const Stack = createNativeStackNavigator();

const defaultScreenOptions = {
    headerShown: false
}

const MainPageNavigator = () => {
  return (
    <Stack.Navigator
        initialRouteName='MainPage'
    >
        <Stack.Screen
            name="MainPage"
            component={HomePage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="NotificationPage"
            component={NotificationPage}
            options={{...defaultScreenOptions}}
        />
    </Stack.Navigator>
  )
}

export default MainPageNavigator
