import { StyleSheet, Text, TouchableWithoutFeedback, View } from 'react-native'
import React from 'react'
import colors from '../../constants/colors'
import NewscoutTitleHeader from '../../components/molecules/Header/NewscoutTitleHeader'
import OctiIcon from 'react-native-vector-icons/Octicons'
import { ScrollView } from 'react-native-gesture-handler'
import NoBookmarkSection from '../../components/organisms/Sections/NoBookmarkSection'
import HorizontalNewsCardVariant from '../../components/molecules/Cards/HorizontalNewsCardVariant'
import { horizontalScale, verticalScale } from '../../constants/metrics'
const BookmarkPage = props => {

  const [bookmarks, setBookmarks] = React.useState([0, 0, 0, 0, 0])

  const { navigation, route } = props

  const styles = StyleSheet.create({
    bookmarkContainer: {
      backgroundColor: colors().dominant,
      paddingVertical: verticalScale(16),
      paddingHorizontal: horizontalScale(16),
      gap: verticalScale(8),
      flexDirection:'row'
    }
  })

  return (
    <View style={{ backgroundColor: colors().dominant }}>
      <NewscoutTitleHeader title={"My Bookmarks"} backButtonShown={true}>
        <TouchableWithoutFeedback onPress={() => { navigation.toggleDrawer() }}>
          <OctiIcon name='three-bars' size={24} color={colors().primaryColor} />
        </TouchableWithoutFeedback>
      </NewscoutTitleHeader>

      {
        bookmarks.length <= 0 ?
          <ScrollView showsVerticalScrollIndicator={false} contentContainerStyle={{ height: '100%' }} style={{}}>
            <NoBookmarkSection />
          </ScrollView> : <ScrollView contentContainerStyle={styles.bookmarkContainer} >
            {bookmarks.map((item) => <HorizontalNewsCardVariant />)}
          </ScrollView>
      }



    </View>
  )
}

export default BookmarkPage

